Bug 212918 - FF2 off-by-one rendering error (redraw with dynamic content? text only?)
FF2 off-by-one rendering error (redraw with dynamic content? text only?)
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-10-29 22:54 EST by Nicholas Miell
Modified: 2007-12-20 11:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 11:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
example rendering error (84.66 KB, image/png)
2006-10-29 22:54 EST, Nicholas Miell
no flags Details

  None (edit)
Description Nicholas Miell 2006-10-29 22:54:02 EST
I'm seeing off-by-one rendering errors when page content is redrawn. The easiest
reproducible test-case I've found so far involves the Google Reader component
for Google's personalized homepage.

This is with firefox-2.0-2.fc7.x86_64 on FC6.
It still happens with MOZ_DISABLE_PANGO.

Steps to Reproduce:
1. Create a Google personalized homepage, add the Google Reader widget,
subscribe to some feeds in Google Reader so that you have something to click on
in the Reader widget.
2. Click on something in the reader widget.
3. At this point, text to the left of the feed item bubble is probably mangled,
if not, click elsewhere in the page to dismiss it.
4. At this point, text to the left of where the feed item bubble used to be is
definitely mangled.

Actual Results:
Irritating off-by-one rendering errors.

Expected Results:
Beautiful serene page layout.
Comment 1 Nicholas Miell 2006-10-29 22:54:03 EST
Created attachment 139693 [details]
example rendering error
Comment 2 Nicholas Miell 2006-10-31 01:28:19 EST
OK, I'm seeing text corruption on static pages when scrolling, so this isn't
limited to dynamic content.

Looks like something similar to the problem that plagued Mozilla from day one
until post-Firefox 1.0 has resurfaced (or been reinvented). I'd hoped that
cross-platform cairo usage would've shaken these bugs out...
Comment 3 Christopher Aillon 2006-10-31 01:46:00 EST
The cairo in FF2 is just for SVG only.  Full blown cairo is part of Firefox 3.0.
Comment 4 Nicholas Miell 2006-11-08 01:07:43 EST
I just now finally saw something which I am absolutely sure is image corruption,
so this isn't just limited to text.
Comment 5 Matěj Cepl 2007-12-20 11:46:58 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.